<ion-header no-padding  *ngIf="viewProfile$ | async as user">
  <ion-toolbar>
    <ion-buttons size="small" slot="start">
      <ion-back-button icon="arrow-round-back" color="primary"> </ion-back-button>
    </ion-buttons>
    <ion-title style="font-size: 18px" color="primary">User Profile</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content fullscreen>

  <div *ngIf="viewProfile$ | async as user">
    <div class="header">
      <img  [defaultImage] = "'../../../assets/images/default.png'" [lazyLoad]="user.cover_photo !== null ? decode(user.cover_photo) : '../../../assets/images/default.png'" alt="" />
   <div class="main_container">
     <ion-card class="profile">
       <ion-avatar>
         <img [defaultImage] = "'../../../assets/images/default.png'" [lazyLoad]="user.image !== null ? decode(user.image): './../../assets/images/default.png'" alt="" />
       </ion-avatar>
       <div class="fab_button">
         <ion-fab vertical="bottom" horizontal="center">
           <ion-fab-button color="danger">
            <ion-icon name="person-add"></ion-icon>
           </ion-fab-button>
         </ion-fab>
       </div>
       <br/><br/>
        <ion-card-content>
            <div style="text-align: center">
                <span class="name">
                    <p>{{ user.fname }} {{ user.lname }}</p>
                </span><br/>
                <span class="email">
                    <p>{{ user.email }}</p><br/>
                </span>&nbsp;
                <ion-grid>
                   <ion-row>
                       <ion-col>
                       <ion-button shape="round" expand="block" (click)="viewFollowers(user.id)">
                         {{user.followers_count}}
                         Followers
                       </ion-button>
                       </ion-col>
                       <ion-col>
                       <ion-button shape="round" expand="block">
                         {{user.following_count}}
                         Following
                       </ion-button>
                       </ion-col>
                   </ion-row>
               </ion-grid>
            </div>
           </ion-card-content>
           <!-- <ion-segment (ionChange)="segmentChanged($event)">
             <ion-segment-button value="photos">
               <fa-icon [icon]="faImage"  style="font-size:25px;color:#d4d4d4"></fa-icon>&nbsp;
             </ion-segment-button>
             <ion-segment-button value="boards">
               <fa-icon [icon]="faBoard"  style="font-size:25px;color:#d4d4d4"></fa-icon>&nbsp;
             </ion-segment-button>
           </ion-segment> -->
       </ion-card>
   </div>
   </div>
  </div>
  <!--Skeleton-->
  <!-- <div *ngIf="profile$ | async as user">
      <div class="header" *ngIf="!contentLoaded">
          <img  [defaultImage] = "'../../../assets/images/default.png'" [lazyLoad]=" '../../../assets/images/default.png'" alt="" />
       <ion-card>
         <ion-card-header>
           <ion-avatar>
              <ion-skeleton-text animated style="width: 100%"></ion-skeleton-text>
           </ion-avatar>
         </ion-card-header>
         <ion-card-content>
             <div style="text-align: center">
                 <span class="name">
                    <ion-skeleton-text animated style="width: 100%"></ion-skeleton-text>
                 </span><br/>
                 <span class="email">
                      <ion-skeleton-text animated style="width: 100%"></ion-skeleton-text>
                 </span><br/><br/>
                 <span class="followers">
                    <ion-skeleton-text animated style="width: 80%"></ion-skeleton-text>
                 </span>
             </div>
             <ion-card-subtitle style="text-align:center;padding-top:10px;">
                <ion-skeleton-text animated style="width: 80%"></ion-skeleton-text>
             </ion-card-subtitle>
         </ion-card-content>
       </ion-card>
     </div>
  </div> -->
  <!-- <div *ngIf="!contentLoaded">
    <div class="pins">
      <div class ="pin" *ngFor="let pos of post$ | async"
      >
        <ion-skeleton-text animated style="width: 100%;height:100%;"></ion-skeleton-text>
        <ion-skeleton-text animated style="width: 100%;height:100%"></ion-skeleton-text>
      </div>
    </div>
  </div> -->
  
</ion-content>
